# class SNMPv3Message |
Full name | `Snmp::SNMPv3Message`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SNMPv3Message ()
- SNMPv3Message (void* data, int len)
- ~SNMPv3Message ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- u_int32_t m_msgVersion
- static const u_int32_t s_msgVersionMinSize
- static const u_int32_t s_msgVersionMaxSize
- HeaderData* m_msgGlobalData
- OctetString m_msgSecurityParameters
- ScopedPduData* m_msgData

## Detailed Description

static const int s_type | ### s_type

u_int32_t m_msgVersion | ### m_msgVersion

static const u_int32_t s_msgVersionMinSize | ### s_msgVersionMinSize

static const u_int32_t s_msgVersionMaxSize | ### s_msgVersionMaxSize

HeaderData* m_msgGlobalData | ### m_msgGlobalData

OctetString m_msgSecurityParameters | ### m_msgSecurityParameters

ScopedPduData* m_msgData | ### m_msgData

SNMPv3Message () | ### SNMPv3Message

SNMPv3Message (void* data, int len) | ### SNMPv3Message

~SNMPv3Message () | ### ~SNMPv3Message

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.